com.icesoft.faces.context.effects

## Class Fade

- java.lang.Object
- - com.icesoft.faces.context.effects.Effect
  - - com.icesoft.faces.context.effects.Fade

- All Implemented Interfaces:
    java.io.Serializable

      public class Fade
      extends Effect

  The Fade effect will transition an HTML element from one opacity to another. By default it will start at 100% and transition to invisible.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.context.effects.Effect

      `ea`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Fade()` Default.
    `Fade(float from, float to)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `float` | `getFrom()` Get the starting opacity
    `java.lang.String` | `getFunctionName()` Get the Javascript function name
    `float` | `getTo()` Get the ending opacity
    `int` | `hashCode()`
    `void` | `setFrom(float from)` Set the starting opacity
    `void` | `setTo(float to)` Set the ending opacity

    - ### Methods inherited from class com.icesoft.faces.context.effects.Effect

      `getDelay, getDuration, getFps, getId, getIntfromString, getQueue, getSequence, getSequenceId, isFired, isQueued, isQueueEnd, isSubmit, isSync, isTransitory, setDelay, setDuration, setFired, setFps, setId, setOptions, setQueue, setQueued, setQueueEnd, setSequence, setSequenceId, setSubmit, setSync, setTransitory, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Fade

          public Fade()

      Default. from 1.0 to 0.0

    - #### Fade

          public Fade(float from,
                      float to)

      Parameters:
        `from` - Starting opacity
        `to` - end opacity

  - ### Method Detail

    - #### getFrom

          public float getFrom()

      Get the starting opacity
      Overrides:
        `getFrom` in class `Effect`
      Returns:

    - #### setFrom

          public void setFrom(float from)

      Set the starting opacity
      Overrides:
        `setFrom` in class `Effect`
      Parameters:
        `from` -

    - #### getTo

          public float getTo()

      Get the ending opacity
      Overrides:
        `getTo` in class `Effect`
      Returns:

    - #### setTo

          public void setTo(float to)

      Set the ending opacity
      Overrides:
        `setTo` in class `Effect`
      Parameters:
        `to` -

    - #### getFunctionName

          public java.lang.String getFunctionName()

      Get the Javascript function name
      Specified by:
        `getFunctionName` in class `Effect`
      Returns:

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Effect`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `Effect`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.